Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.codelookup
Class UserCode

    java.lang.Object
      com.sun.mdm.index.codelookup.UserCode

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class UserCode
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

UserCode description

See Also:
  Serialized Form

Constructor Summary
`UserCode(java.lang.String module, java.lang.String code, java.lang.String description, java.lang.String format, java.lang.String inputMask, java.lang.String valueMask)` Creates a new instance of UserCode

Method Summary
`java.lang.String` | `getCode()` Get code.
`java.lang.String` | `getDescription()` Get description.
`java.lang.String` | `getFormat()` Get format.
`java.lang.String` | `getInputMask()` Get Input Mask.
`java.lang.String` | `getModule()` Get module.
`java.lang.String` | `getValueMask()` Get Value Mask.
`java.lang.String` | `toString()` String representation of the UserCode object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserCode

    public UserCode(java.lang.String module,
                    java.lang.String code,
                    java.lang.String description,
                    java.lang.String format,
                    java.lang.String inputMask,
                    java.lang.String valueMask)

  Creates a new instance of UserCode

  Parameters:
    `module` - Module name.
    `code` - Code.
    `description` - Description.

Method Detail

### getCode

    public java.lang.String getCode()

  Get code.

  Returns:
    code.

### getDescription

    public java.lang.String getDescription()

  Get description.

  Returns:
    description.

### getFormat

    public java.lang.String getFormat()

  Get format.

  Returns:
    format.

### getInputMask

    public java.lang.String getInputMask()

  Get Input Mask.

  Returns:
    Input Mask.

### getModule

    public java.lang.String getModule()

  Get module.

  Returns:
    module.

### getValueMask

    public java.lang.String getValueMask()

  Get Value Mask.

  Returns:
    Value Mask.

### toString

    public java.lang.String toString()

  String representation of the UserCode object.

  Returns:
    string representation of the UserCode object.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.